Skip to main content
POST
/
v0
/
conversations
/
{id}
/
translate
Translate a conversation
curl --request POST \
  --url https://api.avidoai.com/v0/conversations/{id}/translate \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
import requests

url = "https://api.avidoai.com/v0/conversations/{id}/translate"

headers = {
"x-api-key": "<api-key>",
"x-application-id": "<api-key>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'x-application-id': '<api-key>'}
};

fetch('https://api.avidoai.com/v0/conversations/{id}/translate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "conversationId": "123e4567-e89b-12d3-a456-426614174000",
    "translations": [
      {
        "messageId": "123e4567-e89b-12d3-a456-426614174000",
        "translatedText": "Hello, how can I help you?"
      }
    ]
  }
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Resource not found"
}
{
"message": "Invalid request data",
"issues": [
{
"code": "invalid_string",
"message": "Invalid UUID",
"path": [
"id"
]
}
]
}
{
"message": "Resource not found"
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Path Parameters

id
string<uuid>
required

The unique identifier of the conversation

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

Successfully translated conversation

Response containing translated messages for a conversation

data
TranslateConversationData · object
required

Translated messages for a single conversation